ווטסאפ - לינוקס, BSD, קוד פתוח ותוכנה חופשית בעברית. Whatsup - Linux, BSD, open source and free software in Hebrew

 
 
  כניסת חברים · רישום · שכחתי סיסמה  
tux the penguin
תגובה לנושא
צפיה בנושא הבא Printable version התחבר כדי לבדוק הודעות פרטיות צפיה בנושא הקודם
ויטליאורח · ·
 

הודעה פורסם: 22/01/2009 - 19:07
נושא ההודעה:

אני מצטער שלקח לי 60 שנה לענות... פשוט עבר על המשפחה שלי שבוע
לא קל ולא כלכך יצא לי להתעסק בשום דבר שקשור במחשבים.


borsood - אתה יכול גם לקמפל, כמו שהסברתי ל yp


גיא (הרגע קראתי את המייל שלך) + דוביקס - תודה על ההצעה והרצון לעזור.
אני מנחש שהתקנון של האתר שלהם לא מאפשר לעשות דבר כזה.
השאלה אם הם לא יורידו את זה אחרי יום בערך?

לגבי אחסון מסודר, בעיקרון רם-און‏ וליאור קפלן התנדבו לעזור לי עם האחסון,
פשוט לא יצא לי כלכך לעקוב אחרי זה בזמן האחרון... אז אני לא בטוח
איפה זה עומד.
 
   
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
costelloלא בפורום כעת ת.הצטרפות: 27/09/2002 · הודעות: 551 · מיקום: אי שם...
 

הודעה פורסם: 23/01/2009 - 22:39
נושא ההודעה:

כמו שאני רואה את זה - הפרוייקט שלך הוא (מבחינת המטרות, והיישום) ממשיך הדרך של כנרת - לקהל יעד מצומצם יותר.

הייעוד של כנרת (שעל פיו קיבלנו את החשבון בברליוס) היה ליצור הפצת live-cd שמותאמת לתלמיד הישראלי - מגיל הגן ועד האוניברסיטה. הפרוייקט שלך (שוב - בראייתי) הוא בדיוק זה - כשקהל היעד צומצם לילדי הגן (ואולי כיתות א'-ב'), ולכן אני לא רואה בעייה או ניצול לרעה בשימוש בפלטפורמה שהוקצתה לכנרת כדי לקדם את הפרוייקט הזה, ולא חושב שיש כאן פגיעה כלשהי בתקנון. (אם אתה רוצה להיות בטוח - אפשר לשלוח מייל ולשאול במפורש)

אם ליאור/רם-און יוכל לעזור ולמצא פתרון הולם - מצויין. אם בכל זאת יש עיכובים או בעיות בעניין - ההצעה פתוחה...

_________________
גיא שקד
 
 צפיה בפרופיל המשתמש שלח הודעה פרטית ביקור באתר המפרסם מספר ICQ 
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
רם-אוןאורח · ·
 

הודעה פורסם: 23/01/2009 - 23:30
נושא ההודעה: הדיסק נמסר לאיגוד האינטרנט

מקווה שתוך מספר ימים תהיה לנו כתובת להורדה,
 
   
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
אורח · ·
 

הודעה פורסם: 25/01/2009 - 12:28
נושא ההודעה: ויטלי

חדשות טובות!
קיבלתי מייל מליאור עם הכתובת לאחסון:
http://mirror.isoc.org.il/pub/gicompris-he/


אגב למה באמת פרוייקט כנרת נסגר?
 
   
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
orgadsלא בפורום כעת ת.הצטרפות: 11/10/2005 · הודעות: 434 ·
 

הודעה פורסם: 26/01/2009 - 22:22
נושא ההודעה: אחסון לקוד

שלום,

האם תוכל לשים את הקוד גם ב-ISOC, או שזו בעיה? אם זה בעייתי, אני יכול לשים לך את זה על שרת נורמלי באופן זמני. נראה לי שתוכל לשים את זה גם ב-sf (אולי לא את הלייב, אבל את הקוד)
 
 צפיה בפרופיל המשתמש שלח הודעה פרטית ביקור באתר המפרסם  
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
רייסטליןאורח · ·
 

הודעה פורסם: 27/01/2009 - 03:30
נושא ההודעה: וואלה אחלה עבודה

וואו זה ממש ממש יפה כל הכבוד
הרצתי את זה על VB נראה מבטיח ומגניב
רק איך אני מתקין את זה על המחשב (אם זה מסובך אז לפרט בבקשה)
 
   
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
ויטליאורח · ·
 

הודעה פורסם: 03/02/2009 - 12:51
נושא ההודעה:

רייסטלין‏ - כרגע אתה צריך לקמפל את זה, כתבתי פה כבר הוראות.

הייתי קצת עסוק ושכחתי לעדכן פה...

הנה הדף של הפרוייקט באתר של קרית גת:
http://www.qiryat-gat.muni.il/Index.asp?ArticleID=523&CategoryID=557
יש שם את כל הפאצים.

היום גם גיליתי שהשינויים ששלחתי שולבו בקוד של GC :
http://svn.gnome.org/viewvc/gcompris/trunk/src/?view=log
מ 3705 עד ל 3713. אגב זה נראה שאחד התיקונים שבר תאימות עם פייתון 2.4

אילת גם עובדת עכשיו על תרגום האתר:
http://gcompris.net/-rubrique385-


הקטע המצחיק (או העצוב תלוי איך מסתכלים על זה...) הוא שהערייה עדיין לא שלחה את זה
אפילו לחצי מהגנים, אבל מה שכן הם מארגנים תקציב לעשות הדפסים על דיסקים - האנשים האלה כנראה ממש אוהבים את הלוגו שלהם...
 
   
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
פיל-קטןלא בפורום כעת ת.הצטרפות: 02/05/2004 · הודעות: 1088 ·
 

הודעה פורסם: 04/02/2009 - 00:39
נושא ההודעה:

הי ויטלי,

ניסיתי ונהניתי מאד. ישבתי איזה שעתיים עם הילדה (בת ארבע וחצי) ועברנו על כל מיני משחקים, אושר גדול.

נתקלתי בבעיה משונה עם ה-LiveCD ביציאה: הירידה מתעכבת מאד, יותר מדקה. ראיתי את זה גם על לפטופ וגם על מחשב שולחני.

בכל אופן, אם הכל ילך יפה, נקמבן איזה מחשב בלאי ונשים בגן שלה. הידד!
 
 צפיה בפרופיל המשתמש שלח הודעה פרטית  
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
ויטליאורח · ·
 

הודעה פורסם: 04/02/2009 - 16:35
נושא ההודעה:

כן אני יודע, אני חושב שזה בעיה עם splashy, הרבה פעמים הוא גם לא מראה את
התמונה עם הדלת ונשאר תקוע על מסך השחור... אני אנסה לתקן את זה כשיהיה לי זמן.

אם אתה רוצה להתקין את הדיסק על מחשב ישן אתה יכול לכתוב install במסך של הבוט.
סקריפט התקנה די מעפן (אבל יש צבעים!) כי כתבתי אותו בפחות משעה וחצי. מה שמזכיר
לי שאני צריך לשכתב אותו...
 
   
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
11111לא בפורום כעת ת.הצטרפות: 15/12/2005 · הודעות: 528 ·
 

הודעה פורסם: 04/02/2009 - 17:06
נושא ההודעה:

מה היחס של ההתקנה למערכות אחרות שמותקנות על המחשב?

_________________
בתודה מראש 11111
 
 צפיה בפרופיל המשתמש שלח הודעה פרטית  
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
אורח · ·
 

הודעה פורסם: 04/02/2009 - 18:32
נושא ההודעה:

הוא משמיד והורס הכל!
זה סקריפט פשוט ומלוכלך שמכין ומפרמט partition ואז מעתיק את המערכת עם rsync .


הנה קבל:

קוד:
#!/bin/bash


VER=" 0.1"



HD=""
DEST_PART=""
SWAP_PART=""
SWAP_SIZE=100
MNT_DIR="/hd/"
YES4ALL=""








die()
{
   color_echo [red] "$2"
   exit $1
}

color_echo()
{

   
   
   if   [ `expr match "$1" '^-'` -eq 1 ]  ; then
      local echo_args="$1 "
      shift
   fi

   local open_escape=""
   local close_escape=""
   local color=`to_upper $1`

   case "$color" in

      "[RED]")   open_escape=""
             shift;;

      "[GREEN]")   open_escape=""
                shift;;

      "[ORANGE]")   open_escape=""
              shift ;;

      "[BLUE]")   open_escape=""
              shift ;;

      "[PURPLE]")   open_escape=""
            shift ;;
      
      "[GREY]")   open_escape=""
            shift ;;
      
      "[YELLOW]")   open_escape=""
            shift ;;

      "[WHITE]")   open_escape=""
            shift ;;
 
            *)      
            open_escape=""
                 ;;
   esac

   echo $echo_args "${open_escape}$*${close_escape}"
   return $?
}

msg()
{
   color_echo -n [white] ">> "
   echo  $*



}
to_upper()
{
   echo "$1" | tr [a-z] [A-Z]
}


ask_yn()
{
   [  "`to_upper $YES4ALL`" = "TRUE" ] && return 0;

   local msg=$1
   
   while true; do

      color_echo -n [white] ">> "
      color_echo -n [green] "$msg "
      color_echo -n [white] "[Y/N]"
      
      read usr_input
   
      usr_input=`to_upper $usr_input`

      case $usr_input in
      
         "Y")
            return 0;;
      
         "N")
            return 1;;
       
           *)
            continue ;;
      esac

   done
}


get_hd()
{
   [ -b "$HD" ] && return 0;



   msg "scanning... "
   hd_list=`ls /dev/hd? /dev/sd? 2>/dev/null`   
   
   echo ""
   color_echo -n [white] ">>"
   color_echo [green] " Select Disk:"
   select HD in  $hd_list
   do
        [ -n "$HD"  ] &&  break 
   done
   
}

get_parts()
{
   while true; do

      while true; do
         color_echo [white] -n "> DATA partition FULL path: "
         read DEST_PART
         [ -b "$DEST_PART" ] && break
      done

      while true; do
         color_echo [white] -n "> SWAP partition FULL path: "
         read SWAP_PART
         [ -b "$SWAP_PART" ] && break
      done
      echo ""
      echo -n "  # DATA on: "
      color_echo [white] "$DEST_PART"
      echo -n "  # SWAP on: "
      color_echo   [white] "$SWAP_PART"
      echo ""
      ask_yn 'Is that OK? '   || continue
      ask_yn 'Format? '         &&  format
         
         break


   done

}

mk_parts()
{

   [ -n "$HD" ] || return 1;
   
   echo ""


   color_echo  -n  [white] "*"
   color_echo  -n    [red] " WARNING: you will lose ALL data on $HD "
   color_echo      [white] "*"
   
   echo ""   
   ask_yn 'Continue?' || die " " 2       
   
   
   msg "Creating empty partition table."
   tmp_file=/tmp/fdisk.in
   echo "o" >  $tmp_file
   echo "w" >> $tmp_file
   if ! fdisk $HD < $tmp_file >/dev/null 2>&1;
   then
      die 3 "Error: fdisk failed!" 
   fi
   
   rm $tmp_file

   msg "Creating swap [$SWAP_SIZE MB]. "
   if ! parted -s $HD mkpart primary 1 "$SWAP_SIZE"MB    >/dev/null 2>&1
   then
      die 3 "Error: Creating swap failed!"
   fi

   msg "Creating data partition. "
   if ! parted -s $HD mkpart primary "$SWAP_SIZE"MB 100% >/dev/null 2>&1
   then
      die 3 "Error: Creating data partition failed!"
   fi

   msg "Setting boot flag. "
   if ! parted -s $HD set 2 boot on                      >/dev/null 2>&1
   then
      die 3 "Error: failed setting boot flag !"
   fi


   SWAP_PART="$HD"1
   DEST_PART="$HD"2
   
   sleep 15
      return 0;

}

print_help()
{
   
   return false

}

clear_screen()
{
   clear
   echo " "
   color_echo     [white]  "=========================="
   color_echo  -n [green]  "  KG install script "
   color_echo     [yellow] "$VER"
   color_echo     [white]  "=========================="
   echo " "
   echo " "
   echo " "

}


format()
{

   if [ -n $DEST_PART ]; then
      msg "Formatting $DEST_PART ."
      if ! mkfs.ext3 $DEST_PART >/dev/null 2>&1
      then
         die 3 "Failed!"
      fi
      
   fi
   

   if [ -n $SWAP_PART ]; then
      msg "Formatting $SWAP_PART ."
      if ! mkswap $SWAP_PART >/dev/null 2>&1
      then
         die 3 "Failed!"
      fi   
      
   fi

}



main()
{
   

   [ "`whoami`" != "root" ] && \
      die 1 'You must be root!'
   

   clear_screen
   
 
   if  ask_yn 'Auto partition?' ;
   then
      get_hd
      mk_parts
      format
   else
      get_parts
   fi
   
   
   #setup

   

   msg "Mounting $DEST_PART on $MNT_DIR"
   [ -d $MNT_DIR ] || mkdir $MNT_DIR
   if ! mount $DEST_PART $MNT_DIR
   then
      die 3 "Error: Cant mount $DEST_PART on $MNT_DIR" 
   fi


   msg "Coping files (takes a long time!)."
   if ! rsync -a / $MNT_DIR --exclude=$MNT_DIR --exclude=/live/ --exclude=/sys/ \
                  --exclude=/proc/ --exclude=/media/ --exclude=/usr/kg-install
   then
      die 3 "failed!" 
   fi

   
   msg "Creating empty directories."
   if ! mkdir "$MNT_DIR"proc "$MNT_DIR"sys "$MNT_DIR"media
   then
      die 3 "failed!" 
   fi


   msg "setting up grub."
   chroot $MNT_DIR grub-install hd0 >/dev/null 2>&1
   chroot $MNT_DIR update-grub    >/dev/null 2>&1
   sed -i 's/^timeout.*$/timeout    0/' "$MNT_DIR"boot/grub/menu.lst

   msg "Creating new fstab."
   fstab_file="$MNT_DIR"etc/fstab
   echo 'proc  /proc  proc  defaults  0  0'   >   $fstab_file
   echo  "$DEST_PART  /  ext3  defaults  0  1"   >>   $fstab_file
   [ -n $SWAP_PART ] && \
      echo  "$SWAP_PART  none  swap  sw  0  0" >>   $fstab_file    


   


   color_echo   -n [white] ">> "
   color_echo      [green] "Done!"

   ask_yn "Reboot? "  && shutdown -r now

}


main
 
   
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
צפריראורח · ·
 

הודעה פורסם: 04/02/2009 - 20:15
נושא ההודעה:

הערה קטנה:

השורה
קוד:

 echo "$1" | tr [a-z] [A-Z]

עושה בד"כ מה שהתכוונת, אך לא תמיד.

ובאופן כללי:
קוד:

echo ?
?
$ echo tr [a-z] [A-Z]
tr [a-z] [A-Z]
$ touch a
$ echo tr [a-z] [A-Z]
tr a [A-Z]
$ echo tr '[a-z]' '[A-Z]'
tr [a-z] [A-Z]
$ echo hEllO | tr '[a-z]' '[A-Z]'
HELLO
$ echo hEllO | tr a-z A-Z
HELLO
 
   
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
ויטליאורח · ·
 

הודעה פורסם: 05/02/2009 - 10:03
נושא ההודעה:

מגניב, לא חשבתי על זה, תודה על התיקון.
 
   
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
aidsbepitaאורח · ·
 

הודעה פורסם: 06/02/2009 - 18:01
נושא ההודעה: ...

בנוגע לאכסון, אני יכול אם אתה רוצה להעמיד לך מירור עם שימוש בrapidshare אם אתה מעוניין בדבר כזה.
יש לי חשבון פרימיום חוקי שאני משתמש בו כבר המון זמן והולך להשתמש בו עוד המון זמן ואם אני אשים את זה בתוך האכסון של היוזר שלי זה לא יימחק אף פעם אם אתה מעוניין בזה אני אשמח לעזור.

לפי מה שהבנתי אתה מחפש שרתי אחסון חינמיים אבל זה גם פיתרון שלא יעלה לך כסף ויקדם לך את הנגישות לפרוייקט.
אם אתה מעוניין תגיב לי פה ונעשה את זה.

ד"א כל הכבוד על ההשקעה והיוזמה אמא של חברה שלי גננת והיא ראתה בטעות סקרינשוטים של זה והתגובות היו ממש טובות, היא רוצה את זה גם אצלה חח Smile
 
   
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
פיל-קטןלא בפורום כעת ת.הצטרפות: 02/05/2004 · הודעות: 1088 ·
 

הודעה פורסם: 14/02/2009 - 17:24
נושא ההודעה:

מעבר לכל הח"ח -- הגננת של הילדה ראתה והתלהבה, וזה כנראה באמת יכנס לגן שלה -- יש לי תיקון קטן להקלטה: לפרוייקט לא קוראים "ג'יקומפריס". אם תקשיב להקלטות באנגלית, הם אומרים "ג'יקומפרי", שזו כנראה הצורה הנכונה באנגלית; אבל הפרוייקט במקור צרפתי, כך שיותר נכון "ז'יקומפרי". זה גם מחזיר את משחק המלים לשם (ה-g הוא מ-gnome, אבל בצרפתית Je compris, "ז'ה קומפרי", פירושו "אני מבין\מבינה").
 
 צפיה בפרופיל המשתמש שלח הודעה פרטית  
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
ויטליאורח · ·
 

הודעה פורסם: 08/03/2009 - 12:02
נושא ההודעה:

^ מגניב, , לא ידעתי את זה... אבל זה לא כזה נורא, נכון?


aidsbepita‏ - תודה על ההצעה, אבל יש כבר אחסון:
http://mirror.isoc.org.il/pub/gicompris-he/
 
   
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
idanm20לא בפורום כעת ת.הצטרפות: 24/04/2005 · הודעות: 111 ·
 

הודעה פורסם: 16/04/2018 - 15:44
נושא ההודעה: הופ עבר לו עשור

היי
מעלה את הפוסט מן המתים. Laughing
בדקתי מה מצב העברית העדכני בפרויקט ורציתי לעדכן:
* החל מ-2014 התחילו פורט חדש לפרויקט מ-GTK+ לQT Quick. הגרסה העדכנית היא 0.9 והיא עובדת מעולה! היא נראית *הרבה* יותר מגניב מהגרסה הישנה, היא כוללת את כל הפעילויות הישנות (ששוכתבו ושודרגו) ועוד חדשות (145 סה"כ).
היא רצה גם על אנדרואיד (30 ש"ח לגרסה המלאה בפליי סטור). שזה מגניב - הרבה יותר נגיש וזול טבלט לילד או לגן...
אך... אין שם זכר לעברית. בכלל. הסתכלתי באתר התרגום והדיבוב ושם הכל על 0%.

* גרסה 0.2 העברית של ויטלי עדיין עובדת דרך VirtualBox על מערכת הפעלה ומחשב מודרניים. הקישור לLiveCD תקין אך הקישור לקוד המקור מת (האם יש למישהו עדיין עותק?).

* הגרסה האחרונה ששוחררה לGTK+ היא 15.10, היא תומכת בעברית חלקית - ההוראות בעברית בחלק מהפעילויות, הצלמיות באנגלית, הדיבוב שונה (נשמע שילד הקליט אותו מחדש והדיבוב נשמע פחות נעים מהדיבוב בגרסה 0.2).

האם מישהו חשב על תרגום הגרסה החדשה? אולי כדאי לבדוק מה ניתן לנצל מהעבודה שנעשתה על הגרסה הישנה.
 
 צפיה בפרופיל המשתמש שלח הודעה פרטית ביקור באתר המפרסם  
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
אורח · ·
 

הודעה פורסם: 16/04/2018 - 17:17
נושא ההודעה: Re: הופ עבר לו עשור

idanm20 :
היי
מעלה את הפוסט מן המתים. Laughing
בדקתי מה מצב העברית העדכני בפרויקט ורציתי לעדכן:
* החל מ-2014 התחילו פורט חדש לפרויקט מ-GTK+ לQT Quick. הגרסה העדכנית היא 0.9 והיא עובדת מעולה! היא נראית *הרבה* יותר מגניב מהגרסה הישנה, היא כוללת את כל הפעילויות הישנות (ששוכתבו ושודרגו) ועוד חדשות (145 סה"כ).
היא רצה גם על אנדרואיד (30 ש"ח לגרסה המלאה בפליי סטור). שזה מגניב - הרבה יותר נגיש וזול טבלט לילד או לגן...
אך... אין שם זכר לעברית. בכלל. הסתכלתי באתר התרגום והדיבוב ושם הכל על 0%.

* גרסה 0.2 העברית של ויטלי עדיין עובדת דרך VirtualBox על מערכת הפעלה ומחשב מודרניים. הקישור לLiveCD תקין אך הקישור לקוד המקור מת (האם יש למישהו עדיין עותק?).

* הגרסה האחרונה ששוחררה לGTK+ היא 15.10, היא תומכת בעברית חלקית - ההוראות בעברית בחלק מהפעילויות, הצלמיות באנגלית, הדיבוב שונה (נשמע שילד הקליט אותו מחדש והדיבוב נשמע פחות נעים מהדיבוב בגרסה 0.2).

האם מישהו חשב על תרגום הגרסה החדשה? אולי כדאי לבדוק מה ניתן לנצל מהעבודה שנעשתה על הגרסה הישנה.



ח״ח על העלאת מתים מן האוב,
קראתי את העמוד הראשון של הדיון,
ואני לא מבין למה כבר אז לא התלבשו על הSVN המקורי או לחילופין פורק בגיטהאב,
אני זוכר את גיטהאב ב2010,
ב2009 הוא לא היה קיים?
 
   
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
הצגת הודעות מלפני:     
מעבר אל:  
כל הזמנים הם GMT + 2 שעות
תגובה לנושא
צפיה בנושא הבא Printable version התחבר כדי לבדוק הודעות פרטיות צפיה בנושא הקודם
PNphpBB2 © 2003-2004 

תוכן הדיון

  1. אורח
  2. אורח [עמית]
  3. אורח
  4. 11111
  5. אורח
  6. 11111
  7. אורח [רם-און]
  8. אורח
  9. אורח [רם-און]
  10. shlomi-l
  11. yp
  12. אורח [ויטלי]
  13. 11111
  14. kaplan
  15. אורח [ויטלי]
  16. אורח [רם-און]
  17. yp
  18. אורח [ויטלי]
  19. Ddorda
  20. 11111
  21. אורח
  22. 11111
  23. אורח
  24. פיל-קטן
  25. אורח
  26. פיל-קטן
  27. אורח
  28. borsood
  29. costello
  30. דוביקס
  31. אורח [ויטלי]
  32. costello
  33. אורח [רם-און]
  34. אורח
  35. orgads
  36. אורח [רייסטלין]
  37. אורח [ויטלי]
  38. פיל-קטן
  39. אורח [ויטלי]
  40. 11111
  41. אורח
  42. אורח [צפריר]
  43. אורח [ויטלי]
  44. אורח [aidsbepita]
  45. פיל-קטן
  46. אורח [ויטלי]
  47. idanm20
  48. אורח

Google Ads